<?xml version="1.0" encoding="UTF-8"?>
<install version="1.5" type="module" client="site" method="upgrade">
    <name>Codeboxr Flash SWF Embedder Module</name>
    <author>Shabab Mustafa of Codeboxr Team</author>
    <creationDate>03.12.2012</creationDate>
    <copyright>Copyright (C)2012 codeboxr.com. All rights reserved.</copyright>
    <license>http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL</license>
    <authorEmail>info@codeboxr.com</authorEmail>
    <authorUrl>http://codeboxr.com/</authorUrl>
    <version>1.3</version>
    <description>This FREE module enables you to embed SWF files on your Joomla site in various positions. For more joomla extensions please visit: &lt;a href="http://codeboxr.com" target="_blank"&gt;www.codeboxr.com &lt;/a&gt; </description>
    <files>
        <filename module="mod_cbswfembedder">mod_cbswfembedder.php</filename>
        <filename>index.html</filename>
        <filename>mod_cbswfembedder.xml</filename>
        <folder>assets</folder>  
        <folder>tmpl</folder>        
    </files>
    
    <params name="params" addparampath="/modules/mod_cbswfembedder/assets/element">
            
            <param type="spacer" name="basic" default="&lt;b&gt;== Basic Settings ==&lt;/b&gt;" />
                <param name="filepath" type="text" default="" label="SWF File" description="Enter the SWF file to embed" />
                <param name="boxwidth" type="text" default="520px" label="Width of box" description="Set the width of the SWF box. Example: 520px" />
                <param name="boxheight" type="text" default="250px" label="Height of box" description="Set the height of the SWF box. Example: 250px" />
                <param name="theurl" type="text" default="" label="URL for link" decription="Put the url that you want to set as link url. Keep this box empty for no URL link." /> 
                <param name="urlopen" type="radio" default="_blank" label="Open URL in" decription="">
                    <option value="_blank">New Window</option>
                    <option value="_self">Same Window</option>
                </param>
                <param type="codeboxrpromo" /> 

            <param type="spacer" name="style" default="&lt;b&gt;== Styling Options ==&lt;/b&gt;" />
                <param name="border" type="radio" default="0" label="Show Border" description="Show Border of the SWF box">
                    <option value="0">No</option>
                    <option value="1">Yes</option>
                </param>
                <param name="borderwidth" type="text" default="1px" label="Border width" description="Set the border width of the SWF box. Example: 1px" />
                <param name="bordercolor" type="color" default="#000000" label="Border color" description="Set the border color of the SWF box" />
                <param name="leftmargin" type="text" default="0px" label="Set left margin" description="Set right of the SWF box. Example: 20px" />
                <param name="rightmargin" type="text" default="0px" label="Set right margin" description="Set left margin of the SWF box. Example: 20px" />


            <param type="spacer" name="advanced" default="&lt;b&gt;== Advanced Settings ==&lt;/b&gt;" />

                <param name="moduleclass_sfx" type="text" label="Module Class Suffix" description="A suffix to be applied to the CSS class of the module. This allows for individual module styling." />
                
                <param name="cache" type="list" default="1" label="Caching" description="Select whether to cache the content of this module">
                    <option value="1">Use GlobalL</option>
                    <option value="0">No Caching</option>
                </param>

                <param name="cache_time" type="text" default="900" label="Cache Time" description="The time before the module is recached" />
            
        </params>

    <config>
        <fields name="params" addfieldpath="/modules/mod_cbswfembedder/assets/fields">
            
            <fieldset name="basic">
                
                <field name="filepath" type="text" default="" label="SWF File" description="Enter the SWF file to embed" />
                <field name="boxwidth" type="text" default="520px" label="Width of box" description="Set the width of the SWF box. Example: 520px" />
                <field name="boxheight" type="text" default="250px" label="Height of box" description="Set the height of the SWF box. Example: 250px" />
                <field name="theurl" type="text" default="" label="URL for link" decription="Put the url that you want to set as link url. Keep this box empty for no URL link." />
                <field name="urlopen" type="radio" default="_blank" label="Open URL in" decription="">
                    <option value="_blank">New Window</option>
                    <option value="_self">Same Window</option>
                </field>
                <field type="codeboxrpromo" />
            </fieldset>

            <fieldset name="style" label="Styling Options">
                <field name="border" type="radio" default="0" label="Show Border" description="Show Border of the SWF box">
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>
                <field name="borderwidth" type="text" default="1px" label="Border width" description="Set the border width of the SWF box. Example: 1px" />
                <field name="bordercolor" type="color" default="#000000" label="Border color" description="Set the border color of the SWF box" />
                <field name="leftmargin" type="text" default="20px" label="Set left margin" description="Set right of the SWF box. Example: 20px" />
                <field name="rightmargin" type="text" default="20px" label="Set right margin" description="Set left margin of the SWF box. Example: 20px" />
            </fieldset>

            <fieldset name="advanced">

                <field name="moduleclass_sfx" type="text" label="COM_MODULES_FIELD_MODULECLASS_SFX_LABEL" description="COM_MODULES_FIELD_MODULECLASS_SFX_DESC" />

                <field name="cache" type="list" default="1" label="COM_MODULES_FIELD_CACHING_LABEL" description="COM_MODULES_FIELD_CACHING_DESC">
                    <option value="1">JGLOBAL_USE_GLOBAL</option>
                    <option value="0">COM_MODULES_FIELD_VALUE_NOCACHING</option>
                </field>

                <field name="cache_time" type="text" default="900" label="COM_MODULES_FIELD_CACHE_TIME_LABEL" description="COM_MODULES_FIELD_CACHE_TIME_DESC" />
            </fieldset>
            
        </fields>
    </config>
</install>